Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityDamageSource

    java.lang.Object
      net.minecraft.src.DamageSource
          net.minecraft.src.EntityDamageSource

Direct Known Subclasses:
  EntityDamageSourceIndirect

    public class EntityDamageSource

extends DamageSource

Field Summary

Fields inherited from class net.minecraft.src.DamageSource
`cactus, damageType, drown, explosion, fall, field_76375_l, field_82727_n, field_82728_o, field_82729_p, generic, inFire, inWall, lava, magic, onFire, outOfWorld, starve`

Constructor Summary
`EntityDamageSource(String par1Str, Entity par2Entity)`

Method Summary
`boolean` | `func_76350_n()`
`String` | `getDeathMessage(EntityPlayer par1EntityPlayer)` Returns the message to be displayed on player death.
`Entity` | `getEntity()`

Methods inherited from class net.minecraft.src.DamageSource
`canHarmInCreative, causeArrowDamage, causeFireballDamage, causeIndirectMagicDamage, causeMobDamage, causePlayerDamage, causeThrownDamage, fireDamage, func_76351_m, func_82725_o, func_82726_p, getDamageType, getHungerDamage, getSourceOfDamage, isProjectile, isUnblockable, setProjectile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityDamageSource

    public EntityDamageSource(String par1Str,
                              Entity par2Entity)

Method Detail

### getEntity

    public Entity getEntity()

  Overrides:
    `getEntity` in class `DamageSource`

### getDeathMessage

    public String getDeathMessage(EntityPlayer par1EntityPlayer)

  Returns the message to be displayed on player death.

  Overrides:
    `getDeathMessage` in class `DamageSource`

### func_76350_n

    public boolean func_76350_n()

  Overrides:
    `func_76350_n` in class `DamageSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD